Login
[x]
Log in using an account from:
Fedora Account System
Red Hat Associate
Red Hat Customer
Or login using a Red Hat Bugzilla account
Forgot Password
Login:
Hide Forgot
Create an Account
Red Hat Bugzilla – Attachment 156497 Details for
Bug 243188
mkbootdisk does not produce bootable Xen image
[?]
New
Simple Search
Advanced Search
My Links
Browse
Requests
Reports
Current State
Search
Tabular reports
Graphical reports
Duplicates
Other Reports
User Changes
Plotly Reports
Bug Status
Bug Severity
Non-Defaults
|
Product Dashboard
Help
Page Help!
Bug Writing Guidelines
What's new
Browser Support Policy
5.0.4.rh83 Release notes
FAQ
Guides index
User guide
Web Services
Contact
Legal
This site requires JavaScript to be enabled to function correctly, please enable it.
[patch]
mkbootdisk.diff
mkbootdisk.diff (text/plain), 2.34 KB, created by
Jari Turkia
on 2007-06-07 19:26:22 UTC
(
hide
)
Description:
mkbootdisk.diff
Filename:
MIME Type:
Creator:
Jari Turkia
Created:
2007-06-07 19:26:22 UTC
Size:
2.34 KB
patch
obsolete
>--- /sbin/mkbootdisk.orig 2007-06-07 21:00:48.000000000 +0300 >+++ /sbin/mkbootdisk 2007-06-07 21:03:20.000000000 +0300 >@@ -3,6 +3,8 @@ > # mkbootdisk > # > # Written by Erik Troan <ewt@redhat.com> >+# >+# 7th Jun 2007 Jari Turkia <jmjt@lut.fi> Added Xen support > > pause=yes > unset kernel >@@ -12,6 +14,7 @@ > unset mountopts > unset isoimage > unset realdev >+unset xen > size=1440 > failed=0 > >@@ -19,12 +22,13 @@ > PATH=/sbin:$PATH > export PATH > >-VERSION=1.5.3 >+VERSION=1.5.3_JT > > usage () { > cat >&2 <<EOF > usage: `basename $0` [--version] [--noprompt] [--device <devicefile>] >- [--verbose -v] [--iso] [--kernelargs <args>] [--size <size>] <kernel> >+ [--verbose -v] [--iso] [--kernelargs <args>] [--size <size>] >+ [--xen] <kernel> > (ex: `basename $0` --device /dev/fd1 2.0.31) > EOF > exit $1 >@@ -65,6 +69,9 @@ > rm -rf $MOUNTDIR > exit 0 > ;; >+ --xen) >+ xen=true >+ ;; > *) > if [ -z "$kernel" ]; then > kernel=$1 >@@ -100,6 +107,14 @@ > rm -rf $MOUNTDIR > exit 1 > } >+if [ -n "$xen" ]; then >+ xenfile=xen.gz-${kernel%xen} >+ [ -f /boot/$xenfile ] || { >+ echo "/boot/$xenfile does not exist." >&2 >+ rm -rf $MOUNTDIR >+ exit 1 >+ } >+fi > > > rootdev=`awk '$1 ~ /^[^#]/ && $2 ~ /^\/$/ { print $1 ; exit }' /etc/fstab` >@@ -224,6 +239,16 @@ > fi > [ $? = 0 ] || failed=1 > [ -n "$verbose" ] && echo "done." >+if [ -n "$xen" ]; then >+ [ -n "$verbose" ] && echo -n "Copying /usr/lib/syslinux/mboot.c32... " >+ cp -p /usr/lib/syslinux/mboot.c32 $BOOTDESTDIR/ >+ [ $? = 0 ] || failed=1 >+ [ -n "$verbose" ] && echo "done." >+ [ -n "$verbose" ] && echo -n "Copying /boot/$xenfile... " >+ cp -p /boot/$xenfile $BOOTDESTDIR/xen.gz >+ [ $? = 0 ] || failed=1 >+ [ -n "$verbose" ] && echo "done." >+fi > > [ -n "$verbose" ] && echo -n "Configuring bootloader... " > >@@ -233,14 +258,22 @@ > rootdev=$(ls -l $rootdev | sed 's/,//' | awk '{ printf("%02x%02x\n", $5, $6); }') > fi > >+if [ -n "$xen" ]; then >+ kernel_line=mboot.c32 >+ append_line="xen.gz --- vmlinuz $kernelargs root=$rootdev --- initrd.img" >+else >+ kernel_line=vmlinuz >+ append_line="$INITRDARG $kernelargs root=$rootdev" >+fi >+ > cat > $cfgfile <<EOF > default linux > prompt 1 > display boot.msg > timeout 100 > label linux >- kernel vmlinuz >- append $INITRDARG $kernelargs root=$rootdev >+ kernel $kernel_line >+ append $append_line > EOF > > [ $? = 0 ] || failed=1
You cannot view the attachment while viewing its details because your browser does not support IFRAMEs.
View the attachment on a separate page
.
View Attachment As Diff
View Attachment As Raw
Actions:
View
|
Diff
Attachments on
bug 243188
: 156497